Ablebits.com Ultimate Suite for Microsoft Excel - What's new?
-------------------------------------------------------------------------------
Version 2014.3.5  [05-Nov-2014]
----------------------------
   IMPROVED: Add-in registration privileges changed to user for Office 2013 Click-to-run version
   IMPROVED: Single Ablebits add-ins are left installed when Ultimate Suite is removed in Excel 2003.  
   FIXED: Error when creating cards from a table containing blanks and merged cells.
   UPDATED: Split Table to version 2.3.4 
	IMPROVED: Add-in's behavior when processing merged cells in key columns. 
	FIXED: The table has headers checkbox behavior was visualized incorrectly.
   UPDATED: Advanced Find and Replace to version 5.5.3
	IMPROVED: The way checkboxes work when selecting and deselecting worksheets for search. 
	IMPROVED: Ctrl + Shift shortcut behavior when selecting multiple ranges. 
   UPDATED: Consolidate Worksheets Wizard to version 2.5.3
	FIXED: The header didn't appear in the resulting table if one of the sheets was empty.

Version 2014.3.2  [01-Sep-2014]
----------------------------
   UPDATED: Merge Tables Wizard to version 3.3.6
        FIXED: Error when merging conditionally formatted lists not formatted as Table.
   UPDATED: Merge Cells to version 4.3.7
        FIXED: Error when joining merged cells.
   IMPROVED: Help files now open online.


Version 2014.3.1  [20-Aug-2014]
----------------------------
   ADDED: Transpose Range.
   ADDED: Swap Ranges.
   ADDED: Flip Range.
   IMPROVED: Create Cards work with Protected sheets. 
   IMPROVED: Visualization of the checkbox My table has headers when using the Create Cards tool. 
   IMPROVED: Default settings are now kept after reinstalling Ultimate Suite. 
   IMPROVED: When using Count & Sum by Color numbers are formatted according to the regional settings. 
   FIXED: Eyedropper option of the Count & Sum by Color tool didn't work when clicking on a cell that was already selected. 
   FIXED: Excel didn't start with 150 DPI selected.
   UPDATED: Consolidate Worksheets Wizard to version 2.5.
	FIXED: Error when selecting a range with option Copy data from the selected worksheets with               
	       the same name to one sheet chosen.
	FIXED: Formatting wasn't preserved when the Paste All option was selected. 
	FIXED: Excess blank rows appeared when one of the tables had merged rows.
	IMPROVED: Visualization of the My tables have headers checkbox. 
	IMPROVED: Number and order of the columns are kept when the options Copy data from the selected ranges
                  to one and My tables have headers are selected. 
   UPDATED: Split Tables Wizard to version 2.3.2
	FIXED: Error when creating more than 10, 000 worksheets.
	FIXED: Error when processing a large range with the Preserve formatting option selected.


Version 2014.2.29  [06-Aug-2014]
----------------------------
   UPDATED: Advanced Find and Replace to version 5.5.1
   	FIXED: Error when using the Export ALL or Select cells option in a 
	       worksheet with the grouped rows.
   UPDATED: Random Generator to version 4.2.2
   	FIXED: Error when opening a workbook in Protected View.
   UPDATED: Sum and Count By Color
        FIXED: Bug when calculating a value formatted with several colors.
        FIXED: Select range control didn't update the range address when the entire sheet is selected.
        FIXED: Error when running an attached Excel file from Outlook 
               when Count&Sum by Color pane is open.
   UPDATED: Split Table Wizard to version 2.3.1
	FIXED: Bug when R1C1 reference style is selected. 
   	IMPROVED: Saving the results to the new workbook.
   UPDATED: Quick Tools to version 2.3.1
   	FIXED: Compatibility issue with the Customize Ribbon option.
   UPDATED: Consolidate Worksheets Wizard to version 2.5.1
   	FIXED: Excel freezing after clicking the Add files… button when the Preview pane is turned on.	
   UPDATED: Advanced Find and Replace to version 5.4.1
	FIXED: New search didn't work if the Comments option was selected.


Version 2014.2.23  [30-Jun-2014]
----------------------------
   ADDED: Sum and Count By Color.
   ADDED: Create Cards.
   ADDED: Unpivot Table.
   UPDATED: Duplicate Remover to version 3.4.1
   	ADDED: Possibility to compare two ranges on the same table.
   	FIXED: Error when selecting the Uniques radio button on step 2 of the Remove Duplicates tool.	
   UPDATED: Split Names to version 2.3.1
	ADDED: New suffixes: D.O., R.Ph., P.E., J.D., M.S., M.A.   
   	ADDED: CPA to the list of suffixes.
   	IMPROVED: Name parts with three and more full stops are seen as suffixes.
   	IMPROVED: Les is seen as First Name if capitalized; les and LES are 
		 Last Name prefixes.
   	FIXED: Error when selecting 1 row in the table with headers.		
   UPDATED: Merge Cells to version 4.3.8
	ADDED: Possibility to manually edit range address in the Select Range field.
   UPDATED: Consolidate Worksheets Wizard to version 2.4.1
	IMPROVED: When My tables have headers is checked, the data from identically named columns is 
		joined even if the column order is different.
	ADDED: option to copy data only for the matching columns in the first table in the list.
	

Version 2014.1.43  [02-Jun-2014]
----------------------------
   IMPROVED: Behavior of the information message Office Click-to-Run detected (#5115)


Version 2014.1.15  [30-Apr-2014]
----------------------------
   FIXED: Error when converting numbers stored as text (#1731)
   UPDATED: Consolidate Worksheets Wizard to version 2.3.9
   	IMPROVED: Add-in's usability on step 3.


Version 2014.1.10 [22-Apr-2014]
-------------------------------
   UPDATED: Merge Tables Wizard to version 3.3.3
	FIXED: Error when merging filtered tables (#1650).
   UPDATED: Advanced Find and Replace to version 5.3.4
	FIXED: Issue when searching in a shared worksheet (#1644).


Version 2014.1 [17-Mar-2014]
-------------------------------
   UPDATED: Merge Tables Wizard to version 3.3.2
   UPDATED: Duplicate Remover to version 3.3.6
   UPDATED: Consolidate Worksheets Wizard to version 2.3.3
   UPDATED: Combine Rows Wizard to version 2.3.3
   UPDATED: Cell Cleaner to version 2.3.2
   UPDATED: Merge Cells to version 4.3.6
   IMPROVED: Loading time is optimized.
   IMPROVED: General performance.


Version 2013.4.90 [21-Oct-2013]
-------------------------------
   ADDED: Load on demand option for the Suite to let Excel start faster.
   ADDED: Icons for tool groups in the ribbon.
   ADDED: Additional tooltips where necessary.
   FIXED: Error that occured when starting add-ins from a cell that was being edited.
   IMPROVED: Add-in start progress is displayed.
   IMPROVED: Add-in icons are disabled when there are no workbooks open.
   REMOVED: Message explaining why it takes some time for an add-in to load at the
            first start.
   UPDATED: Advanced Find and Replace to version 5.3.0
	FIXED: Error when trying to replace data in protected sheets.
	FIXED: Mouse cursor was not displayed in the Find What field the first time
               the add-in was started.
	FIXED: Design of the Replace with field with the font size set to 125%.
   UPDATED: Cell Cleaner to version 2.2.0
	FIXED: Numbers with digits separated by a comma were not converted to
               numbers.
        FIXED: Convert text exception.
   UPDATED: Combine Rows Wizard to version 2.2.0
	FIXED: The leading empty values were ignored even with the 'Skip empty cells'
               option disabled.
	FIXED: Design with the font size set to 125%.
   UPDATED: Consolidate Worksheets Wizard to version 2.2.0
	ADDED: Possibility to exclude header rows for all 'Copy' options.
	FIXED: Clipboard error when copying sheets to one book preserving all
               formatting.
	FIXED: Error when selecting several ranges on one sheet using the Ctrl key.
   UPDATED: Find Broken Links to version 2.1.0
	FIXED: The right and left arrows didn't work when renaming a link source.
   UPDATED: Fuzzy Duplicate Finder to version 4.2.0
	FIXED: The first time 'The cells contain separate words' option was selected,
               the delimiters field was empty.
   UPDATED: Merge Cells to version 4.2.0
	FIXED: Error after stopping the process of merging over 10 000 cells.
	FIXED: Error when trying to merge a cell that was previously merged with the
               'into one' option.
   UPDATED: Merge Tables Wizard to version 3.2.0
	FIXED: Status column is not filled in.
	FIXED: Error when processing data.
   UPDATED: Quick Tools to version 2.2.0
	ADDED: Option to not show the 'Sync selection' message again.
	IMPROVED: Processing worksheets that have different formatting.
	FIXED: When trying to work with a filtered table to filter by value, an
               incorrect message was displayed and the 'Clear' button was not
               activated.
	FIXED: 'Filter by' stopped working after filtering by a value outside the
               table range.
   UPDATED: Random Generator to version 4.2.0
	IMPROVED: A default mask is selected when generating strings by mask.
	IMPROVED: The Generate button is disabled if no mask for generation is
                  selected in the Strings option.
   UPDATED: Random Sorter to version 2.2.0
	ADDED: Tip that the add-in shuffles only values.
	FIXED: Design of the Backup copy option with the font size set to 125%.
   UPDATED: Split Names to version 2.2.0
	IMPROVED: Error when working with merged cells.
   UPDATED: Split Table Wizard to version 2.2.0
	ADDED: Tip when starting the add-in from an empty table.
   UPDATED: Workbook Manager to version 2.1.1
	FIXED: Workbooks re-opened after sorting, focus switched to the top workbook.


Version 2013.4.50 [19-Aug-2013]
-------------------------------
   ADDED: Schemes for add-ins that transform data: Combine Rows Wizard, Consolidate
          Worksheets Wizard, Merge Tables Wizard, Split Table, Merge Cells Wizard.
   ADDED: Icons in the upper left corner of all wizard add-ins.
   ADDED: Message explaining why it takes some time for an add-in to load at the
          first start.
   IMPROVED: Design of the add-ins icons.
   UPDATED: Duplicate Remover to version 3.1.10
	FIXED: Design of the Dedupe Table tool with the font size set to 125%.
   UPDATED: Extract Data to version 2.1.6
	FIXED: Notification about creating over 10 worksheets appeared behind
               Excel window.
   UPDATED: Measurement Units Converter to version 2.1.7
	FIXED: Measurement unit abbreviations were entered incorrectly.
   UPDATED: Quick Tools to version 2.1.5
   	ADDED: Notification when an empty cell outside the table is selected for
	       filtering.
  	ADDED: Notification when there are no empty sheets in the Empty Sheets tool.
   	IMPROVED: Button for the Calculate group is renamed.
   	IMPROVED: Sync Selection dialog box design and text.
   UPDATED: Random Generator to version 4.1.4
	FIXED: The Delete button wasn't disabled when trying to delete the standard
	       Excel custom list.
   UPDATED: Select Special Cells to version 2.1.7
	FIXED: When the selection changed, the data type always reset to 'Values'.
   UPDATED: Split Table Wizard to version 2.1.3
	IMPROVED: General performance.


Version 2013.3.85 [24-Jun-2013]
-------------------------------
   UPDATED: Advanced Find and Replace to version 5.2.0
	FIXED: Issue with displaying the found two-row values when the 'wrap text'
	       option is applied.
	IMPROVED: Add-in floating pane behaviour.
   UPDATED: Workbook Manager to version 2.1.0
	FIXED: Sorting problem with hidden workbooks.
	IMPROVED: Add-in floating pane behaviour.


Version 2013.3.24 [7-Jun-2013]
-------------------------------
   ADDED: Automatic detection of the data range and table header.
   ADDED: Warning that the Undo option is not available if the add-in transforms
          data, suggestion to create a backup copy of the sheet when possible.
   FIXED: Incorrect behaviour with the Ctrl+Y shortcut (Redo menu) in Excel 2003.
   UPDATED: Add-ins are listed in ribbon tab groups in the Ultimate Suite Options.
   UPDATED: When an add-in is unchecked in Options, it is disabled, not hidden.
   UPDATED: Advanced Find and Replace to version 5.1.1
	ADDED: Options to 'Expand all' and 'Collapse all' in the search results.
	FIXED: Search didn't start upon filling in the "Search in" field and
               pressing "Enter" on the keyboard.
	REMOVED: Superfluous borders.
	UPDATED: Check All and Uncheck All buttons are replaced with an icon at
                 the top of the workbook list.
   UPDATED: Cell Cleaner to version 2.1.1
	ADDED: Default value, 'space', for the 'Convert line break to' option.
	FIXED: The same chapter of the help file was opened for any functionality
	       group.
	IMPROVED: User's check box settings are saved.
	IMPROVED: 'Trim leading/trailing spaces' check box in the 'Trim Spaces'
                  group is checked by default at the first start of the add-in.
	IMPROVED: Result confirmation shows the number of processed cells, not
                 the number of trimmed or changed values.
	UPDATED: Clicking on the ribbon tab button opens only one functionality
                 group.
	UPDATED: The add-in pane caption reflects the name of the opened group.
   UPDATED: Combine Rows Wizard to version 2.1.1
	UPDATED: Ignore empty cells option is renamed to Skip empty cells.
	UPDATED: Select All and Unselect All buttons are replaced with a check
	         box in the header.
   UPDATED: Consolidate Woksheets Wizard to version 2.1.1
	FIXED: The wrong worksheet was displayed after consolidating by category.
   UPDATED: Duplicate Remover to version 3.1.1
	FIXED: 'Fill with color' option design.
	FIXED: There was not enough focus on action in the Dedupe table tool.
	FIXED: The message 'Select at least one column for comparison' in the
	       Duplicate Remover tool.
	IMPROVED: Excel color palette is used for picking new background color
                  for the found values.
	IMPROVED: Final step design.
	UPDATED: Ignore empty cells option is renamed to Skip empty cells.
	UPDATED: Select All and Unselect All buttons are replaced with a check
	         box in the header.
   UPDATED: Extract Data to version 2.1.1
	ADDED: Notification when the add-in creates more than 10 spreadsheets.
	FIXED: Add-in did not respond after using the 'select range' icon in
	       Excel 2013.
	UPDATED: Select All and Unselect All buttons are replaced with a check
	         box in the header.
   UPDATED: Fill Blank Cells to version 2.0.2
	FIXED: The values from the split cells were overwritten by the values
	       from the cells above or below.
	IMPROVED: Add-in design.
	REMOVED: Superfluous borders.
	UPDATED: Select All and Unselect All buttons are replaced with a check
	         box in the header.
   UPDATED: Fuzzy Duplicate Finder to version 4.1.1
	FIXED: All delimiters but 'space' were ignored during searches with the
	       option 'The cells contain separate words' selected.
	FIXED: Different color of the progress bar in different versions of Excel.
	IMPROVED: Delimiters field design.
   UPDATED: Merge Cells to version 4.1.1
	FIXED: Non-contiguous range wasn't excluded from the merge.
	IMPROVED: Add-in design.
	REMOVED: Superfluous borders.
	REMOVED: The word 'Wizard' from the add-in caption.
   UPDATED: Merge Tables Wizard to version 3.1.1
	FIXED: 'Set background color of updated cells' option design.
	IMPROVED: Excel color palette is used for picking new background color
                  for the updated values.
   UPDATED: Quick Tools to version 2.1.1
	FIXED: The selected range automatically expanded to multiple columns or
	       rows if it contained merged cells.
   UPDATED: Random Generator to version 4.1.1
	IMPROVED: Making sure the 'By mask' field is filled.
	IMPROVED: Switching fields using the 'Tab'and 'Enter' keyboard buttons.
   UPDATED: Random Sorter to version 2.1.1
	ADDED: The possibility to expand the range if only one cell is selected
               before clicking 'Shuffle' or 'Select'.
	FIXED: The same chapter of the help file was opened for any functionality
	       group.
	IMPROVED: 'My table has headers' checkbox is selected with one header
	          row by default when working with Excel Table (ListObject).
	IMPROVED: The descriptions of the Percentage and Number fields are
	          clarified.
	UPDATED: Clicking on the ribbon tab button opens only one functionality
                 group.
	UPDATED: The add-in pane caption reflects the name of the opened group.
   UPDATED: Select Special Cells to version 2.1.1
	FIXED: Design of the fields with the font size set to 150%.
	FIXED: The same chapter of the help file was opened for any functionality
	       group.
	IMPROVED: Add-in design.
	REMOVED: Select by Format functionality group.
	REMOVED: Superfluous borders.
	UPDATED: Clicking on the ribbon tab button opens only one functionality
                 group.
	UPDATED: The add-in pane caption reflects the name of the opened group.
   UPDATED: Split Names to version 2.0.2
	ADDED: 'My column has header' check box that allows to add or exclude
	       column names from the results.
	IMPROVED: The columns with the split name parts are inserted to the right
	          of the source column.
	REMOVED: Superfluous borders.
   UPDATED: Split Table Wizard to version 2.1.1
	ADDED: Notification when the add-in creates more than 10 spreadsheets.
	FIXED: Step 2 design with the font size set to 150%.
	FIXED: Exception occurred if key values differed only in case.
	FIXED: Incorrect result with a big number of rows.
	UPDATED: Select All and Unselect All buttons are replaced with a check
	         box in the header.
   UPDATED: Measurement Units Converter to version 2.1.1
	FIXED: Confirmation message about the unprocessed results that contain text
	       had the same behaviour for 'OK' and 'Cancel' buttons.
	FIXED: The add-in didn't pick the selected range when switching to another
	       worksheet in Excel 2010.
	FIXED: The button name wasn't displayed correctly with the font size set to 150%.
	IMPROVED: Rounding the resulting values.
	REMOVED: Quick Converter from the ribbon tab.


Version 2013.2.0 [26-Apr-2013]
-------------------------------
   ADDED: Different font size support (125% and 150%).
   UPDATED: Ribbon tab names to Ablebits Data, Ablebits Utilities and Ablebits
            Quick Tools.
   UPDATED: Combine Rows Wizard to version 2.1.0
	ADDED: Option to save a backup copy of the sheet.
	FIXED: Error that occurred when there was another table under the main
               one in the same Excel worksheet.
   UPDATED: Consolidate Worksheets Wizard to version 2.1.0
	ADDED: Automatic range selection when a worksheet is checked.
	IMPROVED: Options to consolidate data by category and by position.
   UPDATED: Cell Cleaner to version 2.1.0
	ADDED: Option to save a backup copy of the sheet.
	IMPROVED: Each functionality group has a button in Excel ribbon tab.
   UPDATED: Duplicate Remover to version 3.1.0
	ADDED: Option to save a backup copy of the sheet.
	IMPROVED: The sheet selected on the "Select Table 1" step is excluded
	          from the list on the "Select Table 2" step.
	IMPROVED: Each functionality has a button in Excel ribbon tab.
   UPDATED:Fill Blank Cells to version 2.0.1
	ADDED: Range selection dialog box.
   UPDATED: Find & Replace to version 5.1.0
	ADDED: Range selection dialog box for search within selection.
	IMPROVED: Each functionality group has a button in Excel 2013 ribbon tab.
	IMPROVED: Options to search within one workbook or selection open in a
		  pane in Excel 2013.
	IMPROVED: Search in all workbooks opens in a dialog window in Excel 2013.
   UPDATED: Find Broken Links to version 2.0.1
	ADDED: Information that the add-in looks for links in the current workbook.
	IMPROVED: Search results representation.
   UPDATED: Fuzzy Duplicate Finder to version 4.1.0
	IMPROVED: User interface design.
	IMPROVED: Delimiter field design.
   UPDATED: Merge Cells Wizard to version 4.1.0
	ADDED: Range selection dialog box.
	IMPROVED: The first and the last empty cells are merged if "Skip empty
		  cells" option is not selected
   UPDATED: Merge Tables Wizard to version 3.1.0
	ADDED: Option to save a backup copy of the sheet.
	IMPROVED: The sheet selected on the "Select Master table" step is
		  excluded from the list on the "Select lookup table" step.
	IMPROVED: Additional merge options.
	FIXED: Error that occurred when there was another table under the main
	       one in the same Excel worksheet.
	FIXED: Highlighting only the updated cells.
   UPDATED: Quick Tools to version 2.0.1
	ADDED: Notification that the Sync selection tool is enabled.
	REMOVED: Cell tracker.
   UPDATED: Random Generator to version 4.1.0
	IMPROVED: Entering real numbers.
	FIXED: Generating hexadecimal character set.
   UPDATED: Random Sorter to version 2.1.0
	ADDED: Option to save a backup copy of the sheet when shuffling data.
	IMPROVED: Each functionality has a button in Excel ribbon tab.
   UPDATED: Extract Data to version 2.1.0
	IMPROVED: User interface design.
   UPDATED: Select Special Cells to version 2.1.0
	ADDED: Range selection dialog box.
	IMPROVED: Each functionality has a button in Excel ribbon tab.
   UPDATED: Split Names to version 2.0.1
	ADDED: Warning that the selected destination contains data.
   UPDATED: Split Table Wizard to version 2.1.0
	ADDED: Final step with additional options.
	IMPROVED: Step for selecting destination.
   UPDATED: Measurement Units Converter to version 2.1.0
	ADDED: Range selection dialog box.
	IMPROVED: "Convert selection" and "Convert selection to comments" buttons.
	FIXED: Cells containing text are not processed, a notification is displayed.


Version 2012  [01-Oct-2012]
----------------------------
  Ablebits.com Ultimate Suite for Microsoft Excel is released.


-------------------------------------------------------------------------------
Copyright (C) 2002-2014 Add-in Express Ltd.
